Bug 248467

Summary: databases/clickhouse: update to 20.5.4.40
Product: Ports & Packages Reporter: olevole
Component: Individual Port(s)Assignee: Ruslan Makhmatkhanov <rm>
Status: Closed FIXED    
Severity: Affects Only Me CC: evfbsd, fernape, olevole, proler, rm
Priority: --- Flags: proler: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/ClickHouse/ClickHouse/blob/v20.5.4.40-stable/CHANGELOG.md
Attachments:
Description Flags
databases/clickhouse: update to 20.5.4.40
none
fix portlint warning none

Description olevole 2020-08-04 14:06:48 UTC
Created attachment 217004 [details]
databases/clickhouse: update to 20.5.4.40

Update from 19.11.5.28-stable to 20.5.4.40-stable

- switch to GH_TUPLES (as the author advises: https://github.com/ClickHouse/ClickHouse/issues/10243)
- TESTS options: add lang/expect as run deps due to some tests use an expect
- update official site

poudriere build log: http://pd.olevole.ru/ch/2020-08-04_15h58m41s/build.html
Comment 1 proler 2020-08-04 14:52:17 UTC
Comment on attachment 217004 [details]
databases/clickhouse: update to 20.5.4.40

+
Comment 2 Fernando Apesteguía freebsd_committer 2020-08-04 15:52:43 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.
Comment 3 Fernando Apesteguía freebsd_committer 2020-08-04 15:53:18 UTC
^Triage: Please confirm this change passes QA (portlint, poudriere at least).
Comment 4 olevole 2020-08-04 16:21:09 UTC
(In reply to Fernando Apesteguía from comment #3)
above there is a link to the poudriere log:

fetch http://pd.olevole.ru/ch/2020-08-04_15h58m41s/logs/clickhouse-20.5.4.40.log
tail -n200:
--
===========================================================================
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
=>> Checking for staging violations... done
..

--

portlint was executed locally without error.
Comment 5 Fernando Apesteguía freebsd_committer 2020-08-04 16:27:17 UTC
(In reply to olevole from comment #4)
I get a couple of things to look at. Some of them might be false positives:

WARN: /tmp/248467/databases/clickhouse/pkg-plist: You have defined USE_LDCONFIG, but this port does not install any shared objects.
WARN: Makefile: possible use of absolute pathname "/usr/bin/expect".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: "BROKEN" has to appear earlier.
Comment 6 olevole 2020-08-04 16:51:00 UTC
(In reply to Fernando Apesteguía from comment #5)
Unfortunately i don't know what we can do with expect.

/usr/ports/Mk/Uses/shebangfix.mk says:

# To define a new shebang scheme add the following to the port Makefile:
#
#   SHEBANG_LANG=       lua
#   lua_OLD_CMD=        /usr/bin/lua
#   lua_CMD=    ${LOCALBASE}/bin/lua
#

i guess portlint does not handle this.



BROKEN order warning exists in the current port and I couldn't get rid of it. It should be after options.

I will fix "$FreeBSD$ tag " and USE_LDCONFIG. I will update the patch soon, thanks!
Comment 7 Fernando Apesteguía freebsd_committer 2020-08-04 16:55:07 UTC
(In reply to olevole from comment #6)
expect and BROKEN are false positives IMHO.

If you fix the other two it will be great, I appreciate it.
Comment 8 olevole 2020-08-04 17:08:58 UTC
it seems this BROKEN= is no longer needed because CH is not building with CLANG8, i will check WITH_TEST option too
Comment 9 olevole 2020-08-04 18:27:34 UTC
Created attachment 217009 [details]
fix portlint warning
Comment 10 olevole 2020-08-04 18:34:07 UTC
upd:

Warning has been fixed, new poudriere build ( with portlint enabled ):
http://pd.olevole.ru/ch/2020-08-04_20h12m46s/build.html#built
http://pd.olevole.ru/ch/2020-08-04_20h12m46s/logs/


Also, by agreement with proler@gmail.com (current port maintainer), via IM, I want to take the maintenance of the port (reflected in the new patch).

proler@gmail.com, can you confirm the MAINTAINER= reset/change ?
Comment 11 proler 2020-08-04 18:48:04 UTC
Yes, i confirm MAINTAINER change.
Comment 12 Ruslan Makhmatkhanov freebsd_committer 2020-08-06 12:07:50 UTC
I'll take it
Comment 13 commit-hook freebsd_committer 2020-08-07 11:34:01 UTC
A commit references this bug:

Author: rm
Date: Fri Aug  7 11:33:31 UTC 2020
New revision: 544323
URL: https://svnweb.freebsd.org/changeset/ports/544323

Log:
  databases/clickhouse: update to 20.5.4.40-stable

  - switch to GH_TUPLES (as the author advises: https://github.com/ClickHouse/ClickHouse/issues/10243)
  - TESTS options: add lang/expect as run deps due to some tests use an expect
  - update official site URL
  - pass maintainership to submitter

  Changelog:
  https://github.com/ClickHouse/ClickHouse/blob/v20.5.4.40-stable/CHANGELOG.md
  (it doesn't includes changes for 20.5.4.40 in particular, but still helpful for 19->20 changes)

  PR:		248467
  Submitted by:	olevole@olevole.ru
  Reviewed by:	fernape (general port review)
  Approved by:	proler@gmail.com (previous maintainer)

Changes:
  head/databases/clickhouse/Makefile
  head/databases/clickhouse/distinfo
  head/databases/clickhouse/pkg-descr
  head/databases/clickhouse/pkg-plist
Comment 14 Ruslan Makhmatkhanov freebsd_committer 2020-08-07 11:34:23 UTC
Committed, thank you!